#!/usr/bin/env python
# Copyright (c) 2022 Clément Martin <twisla@twis.la. All rights reserved.
# Unauthorized copying of this file, via any medium is strictly prohibited

from diagrams.custom import Custom

def Amplifier(label='Amplifier'):
    return Custom(label, './icons/amplifier.png')

def AudioStreamer(label='Audio streamer'):
    return Custom(label, './icons/music.png')

def TubeAmp(label='Tube Amplifier'):
    return Custom(label, './icons/tube_amp.png')

def TurnTable(label='TurnTable'):
    return Custom(label, './icons/turntable.png')

def BlueSoundSpeaker(label='BlueSound speaker'):
    return Custom(label, './icons/bluesound_speaker.png')
